c================================================= Linear Polarizability
c====================================================== alpha_xa(-w1;w1)

      SUBROUTINE calc_alpha(n,a,hw1)
      use hyp_data
      implicit none

      integer,intent(IN)  :: n,a
      real(8),intent(IN)  :: hw1
      real(8),allocatable :: dn0(:)

      write(*,'(/1x,"----- alpha(",i1,")_x",i1," -----")') n,a

      allocate( dn0(ML) )

! alpha ( free )

      write(*,'(/1x,"(Free)")')

      iterCG=0

      call calc_chi1( dn0, D(:,a), hw1 )

      alphaF(:,a,n) = const*matmul( dn0, D )*H**3

      write(*,'(3(/1x,"alphaF_",2i1," =",g24.15))')
     &     1,a, alphaF(1,a,n)
     &    ,2,a, alphaF(2,a,n)
     &    ,3,a, alphaF(3,a,n)

      write(*,'(/1x,"C-G iteration =",i5)') iterCG

! alpha

      write(*,'(/1x,"(RPA)")')

      dn1(:,a,n)
     &           = 0.d0     ! initial guess 1
!     &           = dn0      ! initial guess 2

      call ConjResidu( dn1(:,a,n), dn0, hw1 )

      alpha(:,a,n) = const*matmul( dn1(:,a,n), D )*H**3

      write(*,'(3(/1x,"alpha_",2i1," =",g24.15))')
     &     1,a, alpha(1,a,n)
     &    ,2,a, alpha(2,a,n)
     &    ,3,a, alpha(3,a,n)

      h1(:,a,n)=0.d0 ; call Hartree( dn1(:,a,n), h1(:,a,n),Hconv )
      h1(:,a,n) = h1(:,a,n) + Fxc*dn1(:,a,n) + D(:,a)

      deallocate( dn0 )

      return

      END SUBROUTINE calc_alpha
