c================================================= Linear Polarizability
c====================================================== alpha_xa(-w1;w1)

      SUBROUTINE calc_alpha(n,a,hw1)
      use chyp_data
      implicit none

      integer,intent(IN) :: n,a
      complex(8),intent(IN) :: hw1
      complex(8),allocatable :: dn0(:)

      write(*,'(/1x,"----- alpha(",i1,")_x",i1," -----")') n,a

      allocate( dn0(ML) )

! alpha ( free )

      write(*,'(/1x,"(Free)")')

      iterCG=0

      call calc_chi1( dn0, D(:,a), hw1 )

      alphaF(:,a,n) = const*matmul( dn0, D )*H**3

      write(*,'(3(/1x,"alphaF_",2i1," =",2g24.15))')
     &     1,a, real(alphaF(1,a,n)), imag(alphaF(1,a,n))
     &    ,2,a, real(alphaF(2,a,n)), imag(alphaF(2,a,n))
     &    ,3,a, real(alphaF(3,a,n)), imag(alphaF(3,a,n))

      write(*,'(/1x,"C-G iteration =",i5)') iterCG

! alpha

      write(*,'(/1x,"(RPA)")')

! initial guess

!      dn1(:,a,n) = dn1(:,a,n)  ( previous result )
!      dn1(:,a,n) = (0.d0,0.d0)
!      dn1(:,a,n) = dn0

      call ConjResidu( dn1(:,a,n), dn0, hw1 )

      alpha(:,a,n) = const*matmul( dn1(:,a,n), D )*H**3

      write(*,'(3(/1x,"alpha_",2i1," =",2g24.15))')
     &     1,a, real(alpha(1,a,n)), imag(alpha(1,a,n))
     &    ,2,a, real(alpha(2,a,n)), imag(alpha(2,a,n))
     &    ,3,a, real(alpha(3,a,n)), imag(alpha(3,a,n))

      h1(:,a,n)=(0.d0,0.d0) ; call Hartree(dn1(:,a,n),h1(:,a,n),Hconv)
      h1(:,a,n) = h1(:,a,n) + Fxc*dn1(:,a,n) + D(:,a)

      deallocate( dn0 )

      return

      END SUBROUTINE calc_alpha
